aboutsummaryrefslogtreecommitdiff
path: root/pyenv/shrc.d/pyenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pyenv/shrc.d/pyenv.sh')
-rw-r--r--pyenv/shrc.d/pyenv.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/pyenv/shrc.d/pyenv.sh b/pyenv/shrc.d/pyenv.sh
new file mode 100644
index 00000000..1c90f8f2
--- /dev/null
+++ b/pyenv/shrc.d/pyenv.sh
@@ -0,0 +1,18 @@
+# POSIX-compatible version of the pyenv Bash shell wrapper
+[ -d "$HOME"/.pyenv ] || return
+pyenv() {
+ case $1 in
+ rehash)
+ shift
+ eval "$(pyenv sh-rehash "$@")"
+ ;;
+ shell)
+ shift
+ eval "$(pyenv sh-shell "$@")"
+ ;;
+ *)
+ command pyenv "$@"
+ ;;
+ esac
+}
+pyenv rehash